module.exports = {
  defaultSeverity: 'error',
  additionalDocumentSelectors: 'wxss',
  extends: ['@easynm/stylelint-config'],
  rules: {
    // Miniprogram rules
    'no-descending-specificity': null,
    'selector-max-compound-selectors': 2,
    'selector-type-no-unknown': null,
    'unit-no-unknown': [true, { ignoreUnits: ['rpx'] }],
    // Enable no prefix rules
    'at-rule-no-vendor-prefix': true,
    'media-feature-name-no-vendor-prefix': true,
    'property-no-vendor-prefix': true,
    'selector-no-vendor-prefix': true,
    'value-no-vendor-prefix': true,
  },
};
